clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::HighlightingToken Struct Reference

`#include <SemanticHighlighting.h>`

Collaboration diagram for clang::clangd::HighlightingToken:
[legend]

## Public Attributes
HighlightingKind | Kind
Range | R

## Detailed Description

Definition at line 56 of file SemanticHighlighting.h.

## Member Data Documentation

## ◆ Kind

HighlightingKind clang::clangd::HighlightingToken::Kind

Definition at line 57 of file SemanticHighlighting.h.

Referenced by clang::clangd::operator<(), and clang::clangd::operator==().

## ◆ R

Range clang::clangd::HighlightingToken::R

Definition at line 58 of file SemanticHighlighting.h.

Referenced by clang::clangd::operator<(), and clang::clangd::operator==().

The documentation for this struct was generated from the following file:

- SemanticHighlighting.h